"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.autocaptureDeviceEvents = void 0;
const simple_in_memory_cache_1 = require("simple-in-memory-cache");
const with_simple_caching_1 = require("with-simple-caching");
/**
 * listen to and automatically capture device events
 *
 * note
 * - "with simple caching" to prevent duplicate mounting
 */
exports.autocaptureDeviceEvents = (0, with_simple_caching_1.withSimpleCaching)(() => {
    // TODO: re-enable once we find a good way to debounce this input (and probably a usecase for it first)
    // // device motion events; https://developer.mozilla.org/en-US/docs/Web/API/Window/devicemotion_event
    // window.addEventListener('devicemotion', (event) =>
    //   event.acceleration?.x || event.acceleration?.y || event.acceleration?.z
    //     ? captureAppUsageEvent({
    //         source: AppUsageEventSource.DEVICE,
    //         type: 'device.motion',
    //         details: {
    //           acceleration: event.acceleration,
    //           accelerationIncludingGravity: event.accelerationIncludingGravity,
    //         } as never,
    //       })
    //     : null,
    // );
    // TODO: re-enable once we find a good way to debounce this input (and probably a usecase for it first)
    // // device compass events; https://developer.mozilla.org/en-US/docs/Web/API/Window/deviceorientation_event
    // addEventListener('deviceorientation', (event) =>
    //   event.alpha || event.beta || event.gamma
    //     ? captureAppUsageEvent({
    //         source: AppUsageEventSource.DEVICE,
    //         type: 'device.orientation',
    //         details: {
    //           alpha: event.alpha,
    //           beta: event.beta,
    //           gamma: event.gamma,
    //         } as never,
    //       })
    //     : null,
    // );
}, { cache: (0, simple_in_memory_cache_1.createCache)() });
//# sourceMappingURL=autocaptureDeviceEvents.js.map